import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;


/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;
    private Pattern pattern;
    private Matcher matcher;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public boolean findHoratio() {
        pattern = Pattern.compile("Horatio");
        matcher = pattern.matcher(hamletData);
        return matcher.find();
    }

    public String changeHoratioToTariq() {
        return (findHoratio()) ? matcher.replaceAll("Tariq") : null;
    }

    public boolean findHamlet() {
        pattern = Pattern.compile("Hamlet");
        matcher = pattern.matcher(hamletData);
        return matcher.find();
    }

    public String changeHamletToLeon() {
        return (findHamlet()) ? matcher.replaceAll("Leon") : null;
    }


    public String getHamletData(){ return hamletData; }

}
