import org.junit.Before;
import org.junit.Test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        String expected = hamletParser.changeHamletToLeon();
        assertTrue(hamletParser.getHamletData().contains("Hamlet"));
        assertTrue(expected.contains("Leon"));
        assertFalse(expected.contains("Hamlet"));
    }

    @Test
    public void testChangeHoratioToTariq() {
        String expected = hamletParser.changeHoratioToTariq();
        assertTrue(expected.contains("Tariq"));
        assertTrue(hamletParser.getHamletData().contains("Horatio"));
        assertFalse(expected.contains("Horatio"));
    }

    @Test
    public void testFindHoratio() {
        Pattern pattern = Pattern.compile("Horatio");
        boolean expected = hamletParser.getHamletData().contains("Horatio");
        boolean actual = hamletParser.findHoratio();
        assertEquals(expected, actual);
    }

    @Test
    public void testFindHamlet() {
        Pattern pattern = Pattern.compile("Hamlet");
        boolean expected = hamletParser.getHamletData().contains("Hamlet");
        boolean actual = hamletParser.findHamlet();
        assertEquals(expected, actual);
    }
}